XDA智能手机网 - 第一智能手机评述媒体
观点您的位置:首页 >观点 >

研究员发布Google Chrome漏洞

发布时间:2019-04-05 17:42:15 来源:

安全研究人员今天发布了针对未修补的Google Chrome漏洞的概念验证代码。

安全漏洞已经在Chrome的JavaScript引擎V8中得到修复,但修复程序尚未达到浏览器的稳定版本--v73--估计超过10亿用户使用的版本。

CHROME的补丁延迟问题

漏洞利用代码由Exodus Intelligence的安全研究员IstvánKurucsai整理,今天在GitHub上发布,同时还有一个演示视频(见上文)。

研究人员发布这一概念验证漏洞利用代码的原因是为了强调Google补丁过程中的一个明显漏洞,该过程允许攻击者在一小段时间内开发Chrome攻击并对用户发起攻击。

这种差距来自Chrome的IT供应链,涉及从不同的开源项目中导入和测试代码。

在这种情况下,Google工程师在3月18日解决了V8安全问题,后来在V8项目的更新日志和源代码中公开,但尚未达到Chrome稳定版本。

此修补程序目前正在Chrome组装线上运行,其中包括集成到Chromium开源浏览器项目中,然后集成到Chrome代码库中,然后在Chrome Canary和Chrome Beta版本中进行测试,然后再到达表格中的最终Stable分支一个补丁。

“由于其开源开发模型,虽然安全修复程序在源代码树中立即可见,但在通过自动更新机制推出之前,需要时间在Chrome的非稳定版本渠道中进行测试。作为向大多数用户群稳定发布的一部分,“Kurucsai今天在Exodus Intelligence网站上发表的一份报告中表示。

“实际上,攻击者有一个机会窗口,从几天到几周不等,其中漏洞细节几乎是公开的,但大多数用户都很脆弱,无法获得补丁,”他补充说。

POC代码不完整

要明确的是,Kurucsai今天发布的漏洞是一个远程代码执行错误,它会让攻击者在用户的系统上运行代码。但是,该漏洞利用目前的形式有点无害,因为它缺少沙盒逃逸漏洞,无法成为完整的漏洞利用链,并且能够在底层操作系统上运行代码。

尽管如此,攻击者可以使用较旧的Chrome沙箱逃逸漏洞以及Kurucsai当前的RCE漏洞来攻击运行未修补的Chrome浏览器的用户(容易受到旧版沙箱漏洞的攻击)。

此代码的使用案例将作为恶意广告活动或水坑攻击的一部分。

热点推荐
随机文章